Package org.apache.sling.dynamicinclude.util

## Class RequestHelperUtil

- java.lang.Object
- - org.apache.sling.dynamicinclude.util.RequestHelperUtil

    public class RequestHelperUtil
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `requestHasNonIgnoredParameters​(java.util.Collection<java.lang.String> ignoreUrlParams, org.apache.sling.api.SlingHttpServletRequest request)` Checks if a request contains any parameters that are not defined in the ignoreUrlParams.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### requestHasNonIgnoredParameters

    public static boolean requestHasNonIgnoredParameters​(java.util.Collection<java.lang.String> ignoreUrlParams,
                                                         org.apache.sling.api.SlingHttpServletRequest request)

Checks if a request contains any parameters that are not defined in the ignoreUrlParams. Wildcards as they are possible to configure on Apache-Dispatcher, are also properly checked.

Parameters:
  `ignoreUrlParams` - The list of configured ignoreUrlParams (regular expressions)
  `request` - The slingRequest whose parameters we want to check
Returns:
  true if there was any parameter that is not defined on the ignoreUrlsParams-Collection, otherwise false